Database Extensions - Get

Gets a database extension. This will return resource not found as it is not supported.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/extensions/{extensionName}?api-version=2021-02-01-preview

URI Parameters

Name In Required Type Description
databaseName
path True
  • string

The name of the database.

extensionName
path True
  • string
resourceGroupName
path True
  • string

The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.

serverName
path True
  • string

The name of the server.

subscriptionId
path True
  • string

The subscription ID that identifies an Azure subscription.

api-version
query True
  • string

The API version to use for the request.

Responses

Name Type Description
200 OK

Get extensions import/export operation. This will return resource not found as it is not supported.

Other Status Codes

*** Error Responses: ***

Examples

Get database extensions.

Sample Request

GET https://management.azure.com/subscriptions/a3473687-7581-41e1-ac24-6bcca5843f07/resourceGroups/rg_a1f9d6f8-30d5-4228-9504-8a364361bca3/providers/Microsoft.Sql/servers/srv_65858e0f-b1d1-4bdc-8351-a7da86ca4939/databases/11aa6c5e-58ed-4693-b303-3b8e3131deaa/extensions/polybaseimport?api-version=2021-02-01-preview

Sample Response